[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFilterOptions

Set of filter options to use.

## Declaration

Source position: db.pas line 1389

`type TFilterOptions = set of (`
`foCaseInsensitive,` |  | Filter case insensitively.
`foNoPartialCompare` |  | Do not compare values partially, always compare completely.
`);`

## Description

TFilterOption is the set of filter options to use when filtering a dataset. This set type is used in the TDataset.FilterOptions property. The available values are described in the TFilterOption type.

## See also

TDataset.FilterOptions |  | Options to apply when filtering
TFilterOption |  | Available filter options.